import type { ReactNode } from "react";
export type AsText = Extract<keyof JSX.IntrinsicElements, "p" | "span" | "div">;
export type TextProps = {
    as?: AsText;
    children?: ReactNode;
    className?: string;
    size?: "tiny" | "small" | "medium";
    skin?: "standard" | "success" | "error" | "premium" | "disabled" | "primary";
    textAlign?: "left" | "center" | "right";
    weight?: "thin" | "normal" | "bold";
    onClick?: (event: any) => void;
};
