import type { ReactNode } from "react";
export type AsHeading = Extract<keyof JSX.IntrinsicElements, "h1" | "h2" | "h3" | "h4" | "h5" | "h6">;
export interface HeadingProps {
    as?: AsHeading;
    children?: ReactNode;
    className?: string;
}
